harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: [general] Building on Fedora 10
Date Wed, 29 Apr 2009 11:59:19 GMT
I'm obviously missing something.

I'm looking at the code as of r769699...

Andrew Myers wrote:
> I think the problem seems to be an inconsistency between
> 
> working_jdktools/make/depends.properties
> 
> and common_resources/make/depends.properties
> 
> The one in common_resources

'the one' what?  The ${eclipse.base} I assume

> has been updated to look at the eclipse
> 3.4.2 repository,

Right.  I've updated it to base the Eclipse download URLs at 3.4.2 as
part of the compiler upgrade, and now the JDT upgrade (for JDI jars)

So in common_resources/make/depends.properties it now reads

eclipse.base=http://download.eclipse.org/eclipse/downloads/drops/R-3.4.2-200902111700

> but in working_jdktools it's asking for ICU from
> eclipse 3.3, which doesn't exist in the 3.4.2 repository.

Understood, which is why the reference to that ICU version is as an
absolute URL.

In working_jdktools/make/depends.properties it now reads

icu.url=http://archive.eclipse.org/eclipse/downloads/drops/R-3.3-200706251500/com.ibm.icu.base-3.3.zip

> I'd have a go at this myself, but I'm not sure what to change
> icu.unzip.path and icu.jar to?

What is your error message from the build script now?

> The relevant part it below:
> 
> icu=${depends.jars}/eclipse-ICU4J/com.ibm.icu.base-3.3.zip
> icu.url=http://archive.eclipse.org/eclipse/downloads/drops/R-3.3-200706251500/com.ibm.icu.base-3.3.zip
> 
> icu.md5=5b8a0fc0e48431d376c7efd7be8c0f7b
> icu.unzip.path=eclipse/plugins/com.ibm.icu.base_3.6.1.v20070417.jar
> icu.jar=${depends.jars}/eclipse-ICU4J/com.ibm.icu.base_3.6.1.v20070417.jar

This looks right to me.

I just deleted all my common_resources/depends and rebuilt successfully
from scratch.

Regards,
Tim


Mime
View raw message